
From: "H. Peter Anvin" <hpa@transmeta.com>

Fix for RAID-6 on IA-64, from Bjorn Helgaas, and verified by me.



---

 drivers/md/raid6algos.c |    1 +
 drivers/md/raid6int.uc  |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/md/raid6algos.c~raid6-ia64-fix drivers/md/raid6algos.c
--- 25/drivers/md/raid6algos.c~raid6-ia64-fix	2004-01-22 21:37:04.000000000 -0800
+++ 25-akpm/drivers/md/raid6algos.c	2004-01-22 21:37:04.000000000 -0800
@@ -29,6 +29,7 @@ extern const struct raid6_calls raid6_in
 extern const struct raid6_calls raid6_intx4;
 extern const struct raid6_calls raid6_intx8;
 extern const struct raid6_calls raid6_intx16;
+extern const struct raid6_calls raid6_intx32;
 extern const struct raid6_calls raid6_mmxx1;
 extern const struct raid6_calls raid6_mmxx2;
 extern const struct raid6_calls raid6_sse1x1;
diff -puN drivers/md/raid6int.uc~raid6-ia64-fix drivers/md/raid6int.uc
--- 25/drivers/md/raid6int.uc~raid6-ia64-fix	2004-01-22 21:37:04.000000000 -0800
+++ 25-akpm/drivers/md/raid6int.uc	2004-01-22 21:37:04.000000000 -0800
@@ -15,7 +15,7 @@
  *
  * $#-way unrolled portable integer math RAID-6 instruction set
  *
- * This file is postprocessed using unroller.pl
+ * This file is postprocessed using unroll.pl
  */
 
 #include "raid6.h"

_
